org.jbpm.compiler.xml

## Class XmlWorkflowProcessDumper

- java.lang.Object
- - org.jbpm.compiler.xml.XmlWorkflowProcessDumper

- Direct Known Subclasses:
    XmlRuleFlowProcessDumper

      public class XmlWorkflowProcessDumper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlWorkflowProcessDumper(String type, String namespace, String schemaLocation, org.drools.core.xml.SemanticModule semanticModule)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `dump(org.kie.api.definition.process.WorkflowProcess process)`
    `String` | `dump(org.kie.api.definition.process.WorkflowProcess process, boolean includeMeta)`
    `void` | `visitConnection(org.kie.api.definition.process.Connection connection, StringBuilder xmlDump, boolean includeMeta)`
    `static void` | `visitDataType(org.drools.core.process.core.datatype.DataType dataType, StringBuilder xmlDump)`
    `static void` | `visitExceptionHandlers(Map<String,ExceptionHandler> exceptionHandlers, StringBuilder xmlDump)`
    `protected void` | `visitHeader(org.kie.api.definition.process.WorkflowProcess process, StringBuilder xmlDump, boolean includeMeta)`
    `void` | `visitNode(org.kie.api.definition.process.Node node, StringBuilder xmlDump, boolean includeMeta)`
    `protected void` | `visitProcess(org.kie.api.definition.process.WorkflowProcess process, StringBuilder xmlDump, boolean includeMeta)`
    `static void` | `visitValue(Object value, org.drools.core.process.core.datatype.DataType dataType, StringBuilder xmlDump)`
    `static void` | `visitVariables(List<Variable> variables, StringBuilder xmlDump)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlWorkflowProcessDumper

          public XmlWorkflowProcessDumper(String type,
                                          String namespace,
                                          String schemaLocation,
                                          org.drools.core.xml.SemanticModule semanticModule)

  - ### Method Detail

    - #### dump

          public String dump(org.kie.api.definition.process.WorkflowProcess process)

    - #### dump

          public String dump(org.kie.api.definition.process.WorkflowProcess process,
                             boolean includeMeta)

    - #### visitProcess

          protected void visitProcess(org.kie.api.definition.process.WorkflowProcess process,
                                      StringBuilder xmlDump,
                                      boolean includeMeta)

    - #### visitHeader

          protected void visitHeader(org.kie.api.definition.process.WorkflowProcess process,
                                     StringBuilder xmlDump,
                                     boolean includeMeta)

    - #### visitVariables

          public static void visitVariables(List<Variable> variables,
                                            StringBuilder xmlDump)

    - #### visitExceptionHandlers

          public static void visitExceptionHandlers(Map<String,ExceptionHandler> exceptionHandlers,
                                                    StringBuilder xmlDump)

    - #### visitDataType

          public static void visitDataType(org.drools.core.process.core.datatype.DataType dataType,
                                           StringBuilder xmlDump)

    - #### visitValue

          public static void visitValue(Object value,
                                        org.drools.core.process.core.datatype.DataType dataType,
                                        StringBuilder xmlDump)

    - #### visitNode

          public void visitNode(org.kie.api.definition.process.Node node,
                                StringBuilder xmlDump,
                                boolean includeMeta)

    - #### visitConnection

          public void visitConnection(org.kie.api.definition.process.Connection connection,
                                      StringBuilder xmlDump,
                                      boolean includeMeta)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.